Skip to main content
PATCH
/
connectTokens
/
{connectTokenID}
Update a ConnectToken
curl --request PATCH \
  --url https://backendapi.corbado.io/v2/connectTokens/{connectTokenID} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "initial"
}
'
{
  "httpStatusCode": 123,
  "message": "OK",
  "requestData": {
    "requestID": "req-557...663",
    "link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
  },
  "runtime": 0.06167686
}

Documentation Index

Fetch the complete documentation index at: https://docs.corbado.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.

The project ID and API secret can be found in the Developer Panel.

Path Parameters

connectTokenID
string
required

Unique identifier of the connectToken. Format: ctk-<number>.

Example:

"ctk-4693224802260150919"

Body

application/json
status
enum<string>
required
Available options:
initial,
consumed

Response

Operation succeeded.

httpStatusCode
integer<int32>
required

HTTP status code of operation

message
string
required
Example:

"OK"

requestData
object
required

Data about the request itself, can be used for debugging

runtime
number<float>
required

Runtime in seconds for this request

Example:

0.06167686